Create a material
https://carchost.fieldcontrol.com.br/materialsCreates a material. In accounts that migrated materials to products, it creates a product.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
namestringrequiredMaterial name. In accounts that migrated materials to products, the limit is up to 100 characters, with no minimum.
From 10 to 150 characters.
measurestringrequiredUnit of measure. Values outside this list are stored as unity.
Accepted values: unity, centimeter, meter, liter, milliliter.
archivedbooleanArchives the material.
Default: false.
Responses
- 201
Material created.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Invalid body (resourceValidationErr).
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.